CAPISTRANO(1)

NAME
cap - tool to perform capistrano tasks

SYNOPSIS

cap <command> [options]

DESCRIPTION

cap — cap is an utility to invoke capistrano tasks. Capistrano is a utility and framework for executing commands in parallel on multiple remote machines, via SSH. It uses a simple DSL (borrowed in part from Rake, http://rake.rubyforge.org/) that allows you to define _tasks_, which may be applied to machines in certain roles. It also supports tunneling connections via some gateway machine to allow operations to be performed behind VPN's and firewalls.

Capistrano was originally designed to simplify and automate deployment of web applications to distributed environments, and originally came bundled with a set of tasks designed for deploying Rails applications. The deployment tasks are now (as of Capistrano 2.0) opt-in and require clients to explicitly put "load 'deploy'" in their recipes.

Capistrano is a self-documenting program by giving you an extensive help listing for each command. If you think that this manual page is outdated, simply running

cap -h

ASSUMPTIONS

Capistrano is "opinionated software", which means it has very firm ideas about how things ought to be done, and tries to force those ideas on you. Some of the assumptions behind these opinions are:

  * You are using SSH to access the remote servers.
  * You either have the same password to all target machines, or you have public keys in place to allow passwordless access to them.

Do not expect these assumptions to change.

OPTIONS

Capistrano is extensible configurable, and it has the following configuration options:

-e           --explain TAKS
    Displays help (if available) for the task.

-F           --default-config
    Always use default config, even with -f.

-f           --file FILE
    A recipe file to load. May be given more than once.

-H           --long-help
    Explain these options.

-h           --help
    Display this help message.

-p           --password
    Immediately prompt for the password.

-q           --quiet
    Make the output as quiet as possible.

-S           --set-before NAME=VALUE
    Set a variable before the recipes are loaded.

-s           --set NAME=VALUE
    Set a variable after the recipes are loaded.

-T           --taks
    List all tasks in the loaded recipe files.

-V           --version
    Display the Capistrano version, and exit.

-v           --verbose
    Be more verbose. May be given more than once.

-X           --skip-system-config
    Don't load the system config file (capistrano.conf)

-x           --skip-user-config
    Don't load the user config file (.caprc)

SEE ALSO

capify (1).

AUTHOR

This manual page was written by Leandro Nunes dos Santos leandronunes@colivre.coop.br for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.